{ PVCAM Demonstration Script.

  This script opens a specific PVCAM-compatible camera, allows 
  the user to focus the camera, then acquires a full-frame image 
  and displays the result on the VWin desktop. }


const
  Camera = 'minolta' ;    { <- Enter your camera name here }

var
  Image ;         { Image variable }
  xSize, ySize ;  { Size of camera CCD }

begin

{ Open the camera }
pvcOpenCamera( Camera ) ;

{ Check for errors }
if pvcError then
  Halt( pvcErrorMsg( pvcErrorCode ) ) ;

{ Focus the camera - not recommended for "ImagePoint" cameras }
pvcFocus( 'Please focus the camera' ) ;

{ Get size of CCD }
pvcGetCCDSize( xSize,ySize ) ;

{ Set the exposure time, gain and mode }
pvcSetExpTime( 200 ) ;
pvcSetExpMode( pvc_ExpTimed ) ;
pvcSetGain( 1 ) ;

{ Capture a full-frame image with no binning }
Image := pvcCapture( 0,0,xSize-1,ySize-1 ) ;

{ Display the image on the desktop }
Show( Image,'pvcdemo01' ) ;

end