program Emboss ;
{ Emboss the active image }

var
  Image ;        { image to be embossed }
  Horiz,Vert ;   { edge images }
  Mask ;	 { filter mask }

begin
  { get the active image }
  GetActiveImage( Image ) ;
  if IsNull( Image ) then halt( 'No images found' ) ;
  
  { convert to integer }
  Image := integer( Image ) ;

  { create a filter mask }
  Mask := CreateArray( longint,3,3 ) ;

  { horizontal edges }
  Mask := 0 ;
  Mask[ 0,0 ] := -1 ;
  Mask[ 1,0 ] := -2 ;
  Mask[ 2,0 ] := -1 ;
  Mask[ 0,2 ] :=  1 ;
  Mask[ 1,2 ] :=  2 ;
  Mask[ 2,2 ] :=  1 ;
  Horiz := Filter( Image,Mask,1,0 ) ;

  { vertical edges }
  Mask := 0 ;
  Mask[ 0,0 ] := -1 ;
  Mask[ 0,1 ] := -2 ;
  Mask[ 0,2 ] := -1 ;
  Mask[ 2,0 ] :=  1 ;
  Mask[ 2,1 ] :=  2 ;
  Mask[ 2,2 ] :=  1 ;
  Vert := Filter( Image,Mask,1,0 ) ;

  { recombine edges and display }
  Image := Horiz + Vert ;
  Update( Image ) ;
  BringToTop( Image ) ;

end.
