{ Plot Demo 4: Line Styles
  This demo shows the different line
  styles available for plotting }

var
  Win ;   { Plot window }
  x ;     { x-axis data }
  Data1,
  Data2 ; { Data to plot }

begin

{ Create some data to plot }
x := MakeLinear( -2*pi,2*pi,200 ) ;
Data1 := cos( x ) ;
Data2 := sin( x ) ;

{ Create a new plot window }
Win := CreatePlot( 'MyPlot' ) ;
Maximize( Win ) ;
Clear( Win ) ;  { <- Just in case already exists }

{ Create sub-plots in window }
CreateSubplots( Win,2,2 ) ;  { <- 4 subplots in total }

{ Plot the data in each sub-plot }

{ Top-left }
SelectPlot( Win,0,0 ) ;
SetGrid( Win,gs_Both ) ;
SetTitle( Win,'Solid lines' ) ;
SetLineStyle( ls_Solid ) ;
SetPlotColor( col_Red ) ;
PlotXY( Win,x,Data1 ) ;

{ Top-right }
SelectPlot( Win,1,0 ) ;
SetGrid( Win,gs_Both ) ;
SetTitle( Win,'Dotted lines' ) ;
SetLineStyle( ls_Dot ) ;
SetPlotColor( col_Green ) ;
PlotXY( Win,x,-Data1 ) ;

{ Bottom-left }
SelectPlot( Win,0,1 ) ;
SetGrid( Win,gs_Both ) ;
SetTitle( Win,'Dashed lines' ) ;
SetLineStyle( ls_Dash ) ;
SetPlotColor( col_Cyan ) ;
PlotXY( Win,x,Data1*Data2 ) ;

{ Bottom-right }
SelectPlot( Win,1,1 ) ;
SetGrid( Win,gs_Both ) ;
SetTitle( Win,'Dot-dashed lines' ) ;
SetLineStyle( ls_DotDash ) ;
SetPlotColor( col_Yellow ) ;
PlotXY( Win,x,sqr(Data2) ) ;

end
