{ Plot Demo 5: Plotting rows and columns 

  This demo creates a mini-application for 
  plotting the rows (or the columns) of an
  image that contain flags. When compiled,
  two new entries appear in the Tools menu. }
  
const
  PlotName = 'Plot Data' ;        { Name of the plot window }
  HaltMsg  = 'No image found!' ;  { Error message }

var
  Plt ;  { Plot window varable or "handle" }
  
  procedure MakePlotWin ;
  { Create a plot window if it
    does not already exist }

  var
    xd,yd ;   { Size of desktop }
      
  begin
  if PlotExists( PlotName ) then
    begin
    GetPlot( PlotName,Plt ) ;
    Clear( Plt ) ;
    end
  else
    begin
    GetDesktopSize( xd,yd ) ;
    Plt := CreatePlot( PlotName,0,0,0.67*xd,0.5*yd ) ;
    end ;    
  SetGrid( Plt,gs_Both ) ;
  SetYLabel( Plt,'Intensity' ) ;
  end ; { MakePlotWin }
  

  procedure PlotRows ; 
  menu '-Plot rows' ;
  
  var
    Flags ;
    Image ;
    index ;
    
  begin
  
  { Get flags from image }
  GetActiveImage( Image ) ;
  if IsNull( Image ) then Halt( 'No image found' ) ;
  Flags := GetFlags( Image ) ;
  
  { Loop over flags plotting rows }
  if IsArray( Flags ) then
    begin
    MakePlotWin ;
    SetTitle( Plt,'Row Plot' ) ;
    SetXLabel( Plt,'Column index' ) ;
    for index := 0 to GetYMax( Flags ) do
      Plot( Plt,GetRow( Image,Flags[1,index] ) ) ;
    end ;
    
  end ; { PlotRows }


  procedure PlotCols ; 
  menu 'Plot cols' ;
  
  var
    Flags ;
    Image ;
    index ;
    
  begin
  
  { Get flags from image }
  GetActiveImage( Image ) ;
  if IsNull( Image ) then Halt( 'No image found' ) ;
  Flags := GetFlags( Image ) ;
  
  { Loop over flags plotting rows }
  if IsArray( Flags ) then
    begin
    MakePlotWin ;
    SetTitle( Plt,'Column Plot' ) ;
    SetXLabel( Plt,'Row index' ) ;
    for index := 0 to GetYMax( Flags ) do
      Plot( Plt,GetColumn( Image,Flags[0,index] ) ) ;
    end ;
    
  end ; { PlotCols }

begin
end { PltDemo5 }
